Show / Hide Table of Contents

# Interface IFileStreamReader

Interface for a object that reads from the filesystem

##### Inherited Members

System.IDisposable.Dispose()

###### Namespace:Microsoft.SqlTools.ServiceLayer.QueryExecution.DataStorage

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public interface IFileStreamReader : IDisposable

### Methods

| Improve this Doc View Source

#### ReadBoolean(Int64)

##### Declaration

    FileStreamReadResult ReadBoolean(long i64Offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | i64Offset |

##### Returns

Type | Description
--- | ---
FileStreamReadResult |

| Improve this Doc View Source

#### ReadByte(Int64)

##### Declaration

    FileStreamReadResult ReadByte(long i64Offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | i64Offset |

##### Returns

Type | Description
--- | ---
FileStreamReadResult |

| Improve this Doc View Source

#### ReadBytes(Int64)

##### Declaration

    FileStreamReadResult ReadBytes(long i64Offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | i64Offset |

##### Returns

Type | Description
--- | ---
FileStreamReadResult |

| Improve this Doc View Source

#### ReadChar(Int64)

##### Declaration

    FileStreamReadResult ReadChar(long i64Offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | i64Offset |

##### Returns

Type | Description
--- | ---
FileStreamReadResult |

| Improve this Doc View Source

#### ReadDateTime(Int64)

##### Declaration

    FileStreamReadResult ReadDateTime(long i64Offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | i64Offset |

##### Returns

Type | Description
--- | ---
FileStreamReadResult |

| Improve this Doc View Source

#### ReadDateTimeOffset(Int64)

##### Declaration

    FileStreamReadResult ReadDateTimeOffset(long i64Offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | i64Offset |

##### Returns

Type | Description
--- | ---
FileStreamReadResult |

| Improve this Doc View Source

#### ReadDecimal(Int64)

##### Declaration

    FileStreamReadResult ReadDecimal(long i64Offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | i64Offset |

##### Returns

Type | Description
--- | ---
FileStreamReadResult |

| Improve this Doc View Source

#### ReadDouble(Int64)

##### Declaration

    FileStreamReadResult ReadDouble(long i64Offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | i64Offset |

##### Returns

Type | Description
--- | ---
FileStreamReadResult |

| Improve this Doc View Source

#### ReadGuid(Int64)

##### Declaration

    FileStreamReadResult ReadGuid(long offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | offset |

##### Returns

Type | Description
--- | ---
FileStreamReadResult |

| Improve this Doc View Source

#### ReadInt16(Int64)

##### Declaration

    FileStreamReadResult ReadInt16(long i64Offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | i64Offset |

##### Returns

Type | Description
--- | ---
FileStreamReadResult |

| Improve this Doc View Source

#### ReadInt32(Int64)

##### Declaration

    FileStreamReadResult ReadInt32(long i64Offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | i64Offset |

##### Returns

Type | Description
--- | ---
FileStreamReadResult |

| Improve this Doc View Source

#### ReadInt64(Int64)

##### Declaration

    FileStreamReadResult ReadInt64(long i64Offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | i64Offset |

##### Returns

Type | Description
--- | ---
FileStreamReadResult |

| Improve this Doc View Source

#### ReadMoney(Int64)

##### Declaration

    FileStreamReadResult ReadMoney(long offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | offset |

##### Returns

Type | Description
--- | ---
FileStreamReadResult |

| Improve this Doc View Source

#### ReadRow(Int64, IEnumerable<DbColumnWrapper>)

##### Declaration

    IList<DbCellValue> ReadRow(long offset, IEnumerable<DbColumnWrapper> columns)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | offset |
System.Collections.Generic.IEnumerable<DbColumnWrapper> | columns |

##### Returns

Type | Description
--- | ---
System.Collections.Generic.IList<DbCellValue> |

| Improve this Doc View Source

#### ReadSingle(Int64)

##### Declaration

    FileStreamReadResult ReadSingle(long i64Offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | i64Offset |

##### Returns

Type | Description
--- | ---
FileStreamReadResult |

| Improve this Doc View Source

#### ReadSqlDecimal(Int64)

##### Declaration

    FileStreamReadResult ReadSqlDecimal(long i64Offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | i64Offset |

##### Returns

Type | Description
--- | ---
FileStreamReadResult |

| Improve this Doc View Source

#### ReadString(Int64)

##### Declaration

    FileStreamReadResult ReadString(long i64Offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | i64Offset |

##### Returns

Type | Description
--- | ---
FileStreamReadResult |

| Improve this Doc View Source

#### ReadTimeSpan(Int64)

##### Declaration

    FileStreamReadResult ReadTimeSpan(long i64Offset)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | i64Offset |

##### Returns

Type | Description
--- | ---
FileStreamReadResult |